.mblock {
    text-align: center;
    text-transformation: uppercase;
    margin: 40px auto 0;
    color: #fff;
    display: block;
    background: #008296 linear-gradient(to left, transparent, transparent 50%, #222222 50%, #222222) 100% 0;
    background-size: 200% 100%;
    transition: all 0.25s ease-in;
}
.mblock:hover {
    background-position: 0 0;
    color: #008296;
}

.mblock:focus,.mblock:active {
    outline: none !important;
    box-shadow: none;
}
